#
# spec file for package ghc-OpenAL
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name OpenAL
Name:           ghc-%{pkg_name}
Version:        1.7.0.4
Release:        lp150.1.8
Summary:        A binding to the OpenAL cross-platform 3D audio API
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-ObjectName-devel
BuildRequires:  ghc-OpenGL-devel
BuildRequires:  ghc-StateVar-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-transformers-devel
BuildRequires:  openal-soft-devel

%description
A Haskell binding for the OpenAL cross-platform 3D audio API, appropriate for
use with gaming applications and many other types of audio applications.

On Windows, this package works well with the "OpenAL Soft" binary distribution
from <http://kcat.strangesoft.net/openal.html>. Type 'cabal install
--extra-lib-dirs=<DIR>' where <DIR> is the directory where libOpenAL32.dll.a is
located (must be an absolute path). Then rename soft_oal.dll to OpenAL32.dll
and put it somewhere in the PATH. I found that c:\Windows\ worked.

This package has also been tested on GNU/Linux and iOS.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires:       openal-soft-devel
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md examples

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 1.7.0.4 with cabal2obs.
